> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get registry agents

> Returns a list of all agents available in this servers registry



## OpenAPI

````yaml /api_v1.json get /api/v1/registry
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/registry:
    get:
      tags:
        - registry
      summary: Get registry agents
      description: Returns a list of all agents available in this servers registry
      operationId: getRegistryAgents
      parameters: []
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentRegistrySource'
                title: ArrayList<AgentRegistrySource>
      deprecated: false
      security:
        - token: []
components:
  schemas:
    AgentRegistrySource:
      type: object
      properties:
        identifier:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - linked
                  title: String
                linkedServerId:
                  type: string
                  title: String
              required:
                - linkedServerId
                - type
              title: linked
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - local
                  title: String
              required:
                - type
              title: local
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - marketplace
                  title: String
              required:
                - type
              title: marketplace
          discriminator:
            propertyName: type
          title: AgentRegistrySourceIdentifier
        timestamp:
          type: string
          title: UTC timestamp ISO-8601
        name:
          type: string
          title: String
        agents:
          type: array
          items:
            $ref: '#/components/schemas/RegistryAgentCatalog'
          title: ArrayList<RegistryAgentCatalog>
      required:
        - agents
        - identifier
        - name
        - timestamp
      title: AgentRegistrySource
    RegistryAgentCatalog:
      type: object
      description: A catalog describing an agent and it's available versions
      properties:
        name:
          type: string
          description: The agent's registry name
          title: String
        versions:
          type: array
          description: All versions this agent is available in
          items:
            type: string
            title: String
          title: ArrayList<String>
      required:
        - name
        - versions
      title: RegistryAgentCatalog
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````